/// <reference types="node" />
import { EscrowConfigData, TradeOrderData } from "../types";
/**
 * Static abstract class definition to parse entities.
 * @category Parsables
 */
export interface ParsableEntity<T> {
    /**
     * Parse account data
     *
     * @param accountData Buffer data for the entity
     * @returns Parsed entity
     */
    parse: (accountData: Buffer | undefined | null) => T | null;
}
export declare class ParsableEscrowConfig {
    private constructor();
    static parse(data: Buffer | undefined | null): EscrowConfigData | null;
}
export declare class ParsebleTradeOrder {
    private constructor();
    static parse(data: Buffer | undefined | null): TradeOrderData | null;
}
