/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type InitializeConfigParams = {
    configId: string;
    escrowConfigPubkey: PublicKey;
    escrowTokenPubkey: PublicKey;
    arbitratorAuthority: PublicKey;
    funder: PublicKey;
    bondSize: BN[];
    arbitratorCommission: BN[];
    paymentDuration: BN;
};
export declare function initializeConfig(program: Program<Escrow>, params: InitializeConfigParams): Promise<Instruction>;
