import { TransactionBuilder, Instruction } from "@orca-so/common-sdk";
import { EscrowContext } from "./context";
import * as ixs from "./instructions";
export declare class EscrowIx {
    ctx: EscrowContext;
    ix: Instruction | null | undefined;
    constructor(ctx: EscrowContext, ix?: Instruction);
    initializeConfigIx(params: ixs.InitializeConfigParams): Promise<this>;
    makeOrderIx(params: ixs.MakeOrderParams): Promise<this>;
    cancelOrderIx(params: ixs.CancelOrderParams): Promise<this>;
    joinSellOrderIx(params: ixs.JoinSellOrderParams): Promise<this>;
    callArbitrator(params: ixs.CallArbitratorParams): Promise<this>;
    releaseIx(params: ixs.ReleaseParams): Promise<this>;
    resolveDispute(params: ixs.ResolveDisputeParams): Promise<this>;
    toTx(): TransactionBuilder;
}
