"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompensationAction = exports.DisputeAction = exports.OrderSide = exports.OrderState = exports.TRADE_ORDER_SIZE = exports.ESCROW_CONFIG_SIZE = exports.sizeOf = exports.ESCROW_CODER = exports.AccountName = void 0;
const anchor_1 = require("@project-serum/anchor");
const escrow_json_1 = __importDefault(require("../artifacts/escrow.json"));
const IDL = escrow_json_1.default;
var AccountName;
(function (AccountName) {
    AccountName["EscrowConfig"] = "EscrowConfig";
    AccountName["TradeOrder"] = "TradeOrder";
})(AccountName = exports.AccountName || (exports.AccountName = {}));
exports.ESCROW_CODER = new anchor_1.BorshAccountsCoder(IDL);
const sizeOf = (accountName) => {
    var _a;
    const idlAccount = (_a = IDL.accounts) === null || _a === void 0 ? void 0 : _a.find((account) => account.name == accountName);
    if (idlAccount) {
        return exports.ESCROW_CODER.size(idlAccount);
    }
    return -1;
};
exports.sizeOf = sizeOf;
exports.ESCROW_CONFIG_SIZE = (0, exports.sizeOf)(AccountName.EscrowConfig);
exports.TRADE_ORDER_SIZE = (0, exports.sizeOf)(AccountName.TradeOrder);
exports.OrderState = {
    Awaiting: { awaiting: {} },
    Deposited: { deposited: {} },
    Disputed: { disputed: {} },
    Released: { released: {} },
    Canceled: { canceled: {} },
};
exports.OrderSide = {
    Buy: { buy: {} },
    Sell: { sell: {} },
};
exports.DisputeAction = {
    Release: { release: {} },
    Cancel: { cancel: {} },
};
exports.CompensationAction = {
    NoCompensate: { noCompensate: {} },
    CompensateSeller: { compensateSeller: {} },
    CompensateBuyer: { compensateBuyer: {} },
};
